Attribute VB_Name = "Module1"
Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Private Declare Function CreateRectRgn Lib "gdi32" (ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long
Private Declare Function CombineRgn Lib "gdi32" (ByVal hDestRgn As Long, ByVal hSrcRgn1 As Long, ByVal hSrcRgn2 As Long, ByVal nCombineMode As Long) As Long
Public Declare Function GetPixel Lib "gdi32" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Long) As Long

Private Const RGN_OR = 2

Public Sub SetRegion(Pic As PictureBox, lBackColor As Long)
    Dim lRgn As Long, lSkinRgn As Long, lStart As Long, lX As Long
    Dim lY As Long, lHeight As Long, lWidth As Long

    lSkinRgn = CreateRectRgn(0, 0, 0, 0)
    With Pic
        lHeight = .Height / Screen.TwipsPerPixelY
        lWidth = .Width / Screen.TwipsPerPixelX
        For lX = 0 To lHeight - 1
            lY = 0
            Do While lY < lWidth
                Do While lY < lWidth And GetPixel(.hDC, lY, lX) = lBackColor
                    lY = lY + 1
                Loop
                If lY < lWidth Then
                    lStart = lY
                    Do While lY < lWidth And Not GetPixel(.hDC, lY, lX) = lBackColor
                        lY = lY + 1
                    Loop
                    If lY > lWidth Then lY = lWidth
                    lRgn = CreateRectRgn(lStart, lX, lY, lX + 1)
                    CombineRgn lSkinRgn, lSkinRgn, lRgn, RGN_OR
                    DeleteObject lRgn
                End If
            Loop
        Next
    End With
'    Stop
    SetWindowRgn Pic.hWnd, lSkinRgn, True
End Sub

